Bug 1637466 - ping loss of first packet with OVN l3 logical router.
Summary: ping loss of first packet with OVN l3 logical router.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openvswitch2.10
Version: 7.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: lorenzo bianconi
QA Contact: haidong li
URL:
Whiteboard:
Depends On: 1701893 1600115 1728318 1728674
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-09 10:27 UTC by lorenzo bianconi
Modified: 2019-07-10 12:09 UTC (History)
18 users (show)

Fixed In Version: openvswitch2.10-2.10.0-13.el7fdn
Doc Type: Enhancement
Doc Text:
This update places the first packet of the connection in a queue in the OVN logical router. As a result, the first packet of the connection is properly forwarded to the destination device after the next hop MAC address is successfully resolved.
Clone Of: 1600115
Environment:
Last Closed: 2019-01-07 08:51:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0029 None None None 2019-01-07 08:51:23 UTC

Comment 3 haidong li 2018-12-04 09:50:57 UTC
verified on the latest version:

[root@hp-dl388g8-19 ~]# rpm -qa | grep openvswitch
openvswitch2.10-2.10.0-28.el7fdp.x86_64
kernel-kernel-networking-openvswitch-ovn-1.0-108.noarch
openvswitch2.10-ovn-common-2.10.0-28.el7fdp.x86_64
openvswitch2.10-ovn-host-2.10.0-28.el7fdp.x86_64
openvswitch-selinux-extra-policy-1.0-8.el7fdp.noarch
openvswitch2.10-ovn-central-2.10.0-28.el7fdp.x86_64
[root@hp-dl388g8-19 ~]# uname -a
Linux hp-dl388g8-19.rhts.eng.pek2.redhat.com 3.10.0-957.el7.x86_64 #1 SMP Thu Oct 4 20:48:51 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@hp-dl388g8-19 ~]#
[root@hp-dl388g8-19 ~]# ovn-nbctl show
switch dc5648dc-7221-4761-9b86-54be65dd38e6 (s2)
    port ln_port
        type: localnet
        addresses: ["unknown"]
    port s2_r1
        type: router
        addresses: ["00:de:ad:ff:00:02"]
        router-port: r1_s2
switch 84fe49f4-4da9-457b-b282-fe2046c27467 (s1)
    port p1
        addresses: ["b2:65:e1:6b:cd:bb"]
    port s1_r1
        type: router
        addresses: ["00:de:ad:ff:00:01"]
        router-port: r1_s1
router e6a59c3b-462c-4578-89d7-b5b47ae408ed (r1)
    port r1_s2
        mac: "00:de:ad:ff:00:02"
        networks: ["172.16.200.1/24"]
    port r1_s1
        mac: "00:de:ad:ff:00:01"
        networks: ["172.16.100.1/24"]
[root@hp-dl388g8-19 ~]# ping 172.16.200.2
PING 172.16.200.2 (172.16.200.2) 56(84) bytes of data.
64 bytes from 172.16.200.2: icmp_seq=1 ttl=63 time=1.59 ms
64 bytes from 172.16.200.2: icmp_seq=2 ttl=63 time=0.193 ms
64 bytes from 172.16.200.2: icmp_seq=3 ttl=63 time=0.173 ms
64 bytes from 172.16.200.2: icmp_seq=4 ttl=63 time=0.226 ms
^C
--- 172.16.200.2 ping statistics ---
4 packets transmitted, 4 received, 0% packet loss, time 3001ms
rtt min/avg/max/mdev = 0.173/0.546/1.592/0.604 ms
[root@hp-dl388g8-19 ~]#

Comment 7 errata-xmlrpc 2019-01-07 08:51:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0029


Note You need to log in before you can comment on or make changes to this bug.